function buttontranspose(hObject, eventdata, Empty_Button, Buttons, Footnote, AxesD, AxesNMF, AxesAFS, AxesSOL, Datainfo, SVDinfo, Polysettings, utwo, uthr, usmn, usmf)
set(usmn,'Value',0);
set(usmf,'Value',1);
data = get(Empty_Button,'UserData');

if (isfield(data,'ismatrix') == 0) || (data.ismatrix == 0)
    set(Footnote,'String',' Warning, no data has been loaded.','ForegroundColor','red')
    return
end
data.isnmf = 0;
data.isafs = 0;
data.isExpert1 = 0;
data.isExpert2 = 0;
data.isLastClickLockMode = 0;
data.isimport = 0;
data.import = [];

temp = data.t;
data.Draw = data.Draw';
data.t = data.x;
data.x = temp;

temp = data.Uraw;
data.Uraw = data.Vraw;
data.Sraw = data.Sraw';
data.Vraw = temp;

for i=1:size(data.Uraw,2)
    if -min(data.Vraw(:,i)) > max(data.Vraw(:,i))
        data.Uraw(:,i) = -data.Uraw(:,i);
        data.Vraw(:,i) = -data.Vraw(:,i);
    end
end

data.pb2 = 1;

set(Datainfo(2),'String',['spectra: ',num2str(size(data.Draw,1))]);
set(Datainfo(3),'String',['channels: ',num2str(size(data.Draw,2))]);
plot(AxesD,data.x,data.Draw','k');
axis(AxesD,'tight');
yl = get(AxesD,'ylim');
set(AxesD,'ylim',[min(0,yl(1)), yl(2)*1.1]);
xlabel(AxesD,'channel');

set(Polysettings(1),'String','1.0e-12');

plot(AxesNMF,1,0,'w');
plot(AxesAFS,0,0,'w');
plot(AxesSOL,1,0,'w');

if (get(utwo,'Value') == 1) || (get(uthr,'Value') == 1)
    onoffButton(Buttons,3,4:19);
else
    onoffButton(Buttons,[],3:19);
end

set(Empty_Button,'UserData',data);
